package home

import (
	"github.com/charmbracelet/bubbles/help"
)

type SessionState int

const (
	Home SessionState = iota
	Update
)

type HomeModel struct {
	WindowHeight int
	WindowWidth  int

	State SessionState

	Help help.Model
}

func NewHomeModel() HomeModel {
	help := help.New()
	help.ShortSeparator = help.FullSeparator

	return Model{
		Help:         help,
		SessionState: Home,
	}
}
